<div class="grid mx-6">
  <div class="col-12">
    <h1 style="text-align: center">PRODUTORES</h1>
  </div>

  <div class="col-12">
    <p-table
      #tableProdutores
      [value]="g.prod_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [rowHover]="true"
      [rows]="10"
      styleClass="p-datatable-sm"
      dataKey="Cadastro"
      [globalFilterFields]="[
        'Cadastro',
        'Nome',
        'Cpf',
        'Matricula',
        'Cidade',
        'UF'
      ]"
      currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} produtores"
      [showCurrentPageReport]="true"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
                tableProdutores.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Nome</th>
          <th>CPF</th>
          <th>Matricula</th>
          <th>E-mail</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-produtores>
        <tr [pSelectableRow]="produtores">
          <td>{{ produtores.Nome }}</td>
          <td>{{ produtores.Cpf }}</td>
          <td>{{ produtores.Matricula }}</td>
          <td>{{ produtores.email }}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
